Jala Test

## Class jala.Test.SmtpServer.Message

    Object
       |
       +--jala.Test.SmtpServer.Message

class jala.Test.SmtpServer.Message

Instances of this class represent a mail message received by the SMTP server
Defined in Global/jala.Test.js

Constructor Summary
`jala.Test.SmtpServer.Message (<org.subethamail.wiser.WiserMessage> message)` Creates a new Mail instance

Method Summary
`Array` | `getCc()` Returns an array containing all CC recipients of this mail
`Object` | `getContent()` Returns the content of this mail
`String` | `getContentType()` Returns the content type of this mail as defined in the "Content-Type" header field
`String` | `getEncoding()` Returns the encoding of this mail as defined in the "Content-Transfer-Encoding" header field
`Array` | `getFrom()` Returns an array containing all senders of this mail
`org.subethamail.wiser.WiserMessage` | `getMessage()` Returns the wrapped message
`javax.mail.internet.MimeMessage` | `getMimeMessage()` Returns the wrapped message as MimeMessage
`Array` | `getReplyTo()` Returns an array with all reply-to addresses of this mail
`String` | `getSubject()` Returns the subject of this mail
`Array` | `getTo()` Returns an array containing all recipients of this mail

Constructor Detail

### jala.Test.SmtpServer.Message

    jala.Test.SmtpServer.Message(<org.subethamail.wiser.WiserMessage> message)

Creates a new Mail instance

Parameters:

`message` - The message as received by the SMTP server

Returns:

A newly created Mail instance

Method Detail

### getCc

    Array getCc()

Returns an array containing all CC recipients of this mail

Returns:

An array with all CC recipients of this mail

### getContent

    Object getContent()

Returns the content of this mail

Returns:

The content of this mail

### getContentType

    String getContentType()

Returns the content type of this mail as defined in the "Content-Type" header field

Returns:

The content type of this mail

### getEncoding

    String getEncoding()

Returns the encoding of this mail as defined in the "Content-Transfer-Encoding" header field

Returns:

The encoding of this mail

### getFrom

    Array getFrom()

Returns an array containing all senders of this mail

Returns:

An array with all senders of this mail

### getMessage

    org.subethamail.wiser.WiserMessage getMessage()

Returns the wrapped message

### getMimeMessage

    javax.mail.internet.MimeMessage getMimeMessage()

Returns the wrapped message as MimeMessage

### getReplyTo

    Array getReplyTo()

Returns an array with all reply-to addresses of this mail

Returns:

An array with all reply-to addresses of this mail

### getSubject

    String getSubject()

Returns the subject of this mail

Returns:

The subject of this mail

### getTo

    Array getTo()

Returns an array containing all recipients of this mail

Returns:

An array with all recipients of this mail

Jala Test

Documentation generated by JSDoc on Tue Jan 8 15:50:17 2008